<?php

if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}

class SwiftBlocks
{
	public function __construct()
	{
		if (!is_admin()) {
			return;
		}

		add_filter('block_categories_all', [$this, 'registerCategories'], 10);
	}

	public static function init()
	{
		return new self();
	}

	public function registerCategories($categories)
	{
		return array_merge(
			$categories,
			[
				[
					'slug' => 'swift-seo-blocks',
					'title' => 'Swift SEO',
					'icon' => 'heart',
				],
			]
		);
	}
}
